#(eatdirt) LTS releases have the second digit >=3: like 2020.3.*,
#etc.. Preview versions have the second digit <=2.
#

Summary:	The FlightGear Flight Simulator
Name:		flightgear
Version:	2024.1.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Simulation
URL:		https://www.flightgear.org/
Source0:	https://gitlab.com/flightgear/flightgear/%{name}-%{version}.tar.gz

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	libomp-devel
BuildRequires:	pkgconfig(flite)
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	gsm-devel
BuildRequires:	libgomp-devel
BuildRequires:	plib-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gdal)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openthreads)
BuildRequires:	pkgconfig(openscenegraph)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qt5platformsupport-devel
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(osgXR)
BuildRequires:	simgear-devel >= %{version}
Requires:	flightgear-data >= %{version}

#(eatdirt), lets'try again, this should be fixed
####ExclusiveArch:  x86_64

Obsoletes:	fgrun <= 2016.1.1

%description
The Flight Gear project is working to create a sophisticated flight simulator
framework for the development and pursuit of interesting flight simulator
ideas. We are developing a solid basic sim that can be expanded and improved
upon by anyone interested in contributing.

%prep
%setup -q
%autopatch -p1

%build

%cmake \
	-DBUILD_SHARED_LIBS=OFF \
	-DENABLE_SENTRY=OFF \
	-DFG_DATA_DIR=%{_gamesdatadir}/%{name} \
	-DSYSTEM_FLITE=ON \
	-DSYSTEM_GSM=ON \
	-DSYSTEM_SPEEX=ON \
	-DSYSTEM_SQLITE=ON \
	-DSIMGEAR_SHARED=ON \
	-DENABLE_GDAL=ON \
	-DFG_BUILD_TYPE="Release" \
	-DENABLE_VR=ON \
%ifnarch %{arm} %{ix86}
	-DENABLE_SIMD:BOOL=ON \
%else
	-DENABLE_SIMD:BOOL=OFF \
%endif
	-DCMAKE_BUILD_TYPE="Release"


%cmake_build

%install
%cmake_install

pushd icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor
for i in `find * -maxdepth 0 -type d`
do
  cp -fr $i %{buildroot}%{_iconsdir}/hicolor/
done




%files
%doc README AUTHORS docs-mini/
%{_bindir}/*
%{_datadir}/bash-completion/completions/fgfs
%{_datadir}/zsh/site-functions/_fgfs
%{_datadir}/applications/org.flightgear.FlightGear.desktop
%{_datadir}/metainfo/org.flightgear.FlightGear.metainfo.xml
%{_iconsdir}/hicolor/*/apps/fgcom.*
%{_iconsdir}/hicolor/*/apps/flightgear.*
%{_mandir}/man*/*.*
%lang(it) %{_mandir}/it/man*/*.*


%changelog
* Tue Mar 11 2025 eatdirt <eatdirt> 2024.1.1-1.mga9
+ Revision: 2162923
- Upgrade to version 2024.1.1 (mga#34075)
- Update to bug fix release 2020.3.19
- Update to 2020.3.18 bug fix snaphot 8b167b (mga#32265)

* Wed Mar 22 2023 eatdirt <eatdirt> 2020.3.18-1.mga9
+ Revision: 1950031
- Update to bug fix release 2020.3.18

* Tue Jan 03 2023 daviddavid <daviddavid> 2020.3.17-2.mga9
+ Revision: 1929540
- rebuild for boost 1.81.0

* Fri Nov 25 2022 eatdirt <eatdirt> 2020.3.17-1.mga9
+ Revision: 1911184
- Update to version 2020.3.17

* Fri Apr 15 2022 eatdirt <eatdirt> 2020.3.13-1.mga9
+ Revision: 1849909
- Update to version 2020.3.13
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 eatdirt <eatdirt> 2020.3.12-1.mga9
+ Revision: 1784558
- Upgrade to version 2020.3.12

* Thu Aug 19 2021 eatdirt <eatdirt> 2020.3.11-1.mga9
+ Revision: 1741946
- Upgrade to version 2020.3.11

* Sat Jun 12 2021 eatdirt <eatdirt> 2020.3.9-1.mga9
+ Revision: 1730516
- Upgrade to version 2020.3.9

* Wed Mar 31 2021 eatdirt <eatdirt> 2020.3.8-2.mga9
+ Revision: 1712076
- Switch build to release type as to match simgear

* Tue Mar 30 2021 eatdirt <eatdirt> 2020.3.8-1.mga9
+ Revision: 1712060
- Upgrade to version 2020.3.8

* Thu Mar 25 2021 daviddavid <daviddavid> 2020.3.7-2.mga9
+ Revision: 1710146
- rebuild for new gdal 3.2.2

* Thu Mar 18 2021 eatdirt <eatdirt> 2020.3.7-1.mga9
+ Revision: 1704474
- Update to version 2020.3.7

* Wed Jan 20 2021 eatdirt <eatdirt> 2020.3.6-1.mga8
+ Revision: 1672702
- Upgrade to bug fix release 2020.3.6

* Thu Dec 17 2020 eatdirt <eatdirt> 2020.3.5-1.mga8
+ Revision: 1660502
- Fix compilation failure
- Upgrade to version 2020.3.5

* Thu Dec 03 2020 eatdirt <eatdirt> 2020.3.4-1.mga8
+ Revision: 1652254
- Upgrade to version 2020.3.4

* Tue Nov 17 2020 eatdirt <eatdirt> 2020.3.3-1.mga8
+ Revision: 1646818
- Upgrade to version 2020.3.3

* Tue Nov 10 2020 eatdirt <eatdirt> 2020.3.2-1.mga8
+ Revision: 1644372
- Upgrade to version 2020.3.2

* Fri Oct 30 2020 eatdirt <eatdirt> 2020.3.1-1.mga8
+ Revision: 1640651
- Upgrade to lts 2020.3.1

* Thu Oct 29 2020 joequant <joequant> 2020.1.3-4.mga8
+ Revision: 1640372
- bump build

* Thu Jul 16 2020 daviddavid <daviddavid> 2020.1.3-3.mga8
+ Revision: 1606460
- rebuild for new gdal 3.1.2

* Wed Jul 01 2020 eatdirt <eatdirt> 2020.1.3-2.mga8
+ Revision: 1601215
- Add missing BG to libevent

* Wed Jul 01 2020 eatdirt <eatdirt> 2020.1.3-1.mga8
+ Revision: 1601086
- Fix configuration for missing translation
- Upgrade to version 2020.1.3

* Thu May 28 2020 eatdirt <eatdirt> 2020.1.2-2.mga8
+ Revision: 1588457
- Add comment and force SIMD off for arm and ix86

* Thu May 28 2020 eatdirt <eatdirt> 2020.1.2-1.mga8
+ Revision: 1588453
- Upgrade to version 2020.1.2

* Mon Feb 24 2020 zezinho <zezinho> 2019.1.2-2.mga8
+ Revision: 1550175
- build against OSG 3.4

* Sun Feb 16 2020 umeabot <umeabot> 2019.1.2-1.mga8
+ Revision: 1534248
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Sep 30 2019 zezinho <zezinho> 2019.1.2-0.mga8
+ Revision: 1448391
- new version 2019.1.2 in rc

* Sat Mar 30 2019 umeabot <umeabot> 2018.3.2-2.mga7
+ Revision: 1381764
- Qt5 Rebuild

* Mon Mar 04 2019 zezinho <zezinho> 2018.3.2-1.mga7
+ Revision: 1371287
- new bugfix version 2018.3.2

* Wed Dec 19 2018 eatdirt <eatdirt> 2018.3.1-2.mga7
+ Revision: 1342871
- Add missing BR and fix bug FG#2087

* Sat Dec 15 2018 eatdirt <eatdirt> 2018.3.1-1.mga7
+ Revision: 1341493
- Upgrade to version 2018.3.1

* Sun Oct 14 2018 zezinho <zezinho> 2018.2.2-1.mga7
+ Revision: 1320198
- build against OSG 3.4
- enable BuildType, OpenMP and GDAL
- update to version 2018.2.2
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ akien <akien>
- Rebuild for OpenSceneGraph 3.6.0

* Mon Apr 23 2018 zezinho <zezinho> 2018.1.1-1.mga7
+ Revision: 1221803
- new version 2018.1.1

* Sat Jan 13 2018 wally <wally> 2017.3.1-2.mga7
+ Revision: 1192843
- rebuild for new openscenegraph

* Fri Oct 06 2017 zezinho <zezinho> 2017.3.1-1.mga7
+ Revision: 1169648
- new version

* Sun May 28 2017 zezinho <zezinho> 2017.2.1-1.mga6
+ Revision: 1105399
- new shortcut file
- new BR : Qt5 Qml
- new version

* Mon May 15 2017 neoclust <neoclust> 2017.1.3-2.mga6
+ Revision: 1101653
- Add P0 - Fixes CVE-2017-8921 (mga#20852)

* Wed Apr 26 2017 zezinho <zezinho> 2017.1.3-1.mga6
+ Revision: 1097448
- new bugfix version

* Wed Mar 22 2017 zezinho <zezinho> 2017.1.2-2.mga6
+ Revision: 1094274
- remove our own launcher as upstream one has evolved

* Tue Mar 21 2017 zezinho <zezinho> 2017.1.2-1.mga6
+ Revision: 1093923
- new version

* Sun Jan 08 2017 zezinho <zezinho> 2016.4.4-1.mga6
+ Revision: 1080730
- new version

* Wed Dec 14 2016 zezinho <zezinho> 2016.4.3-1.mga6
+ Revision: 1075198
- new version 2016.4.3 and a security patch

* Sun Dec 04 2016 akien <akien> 2016.4.2-2.mga6
+ Revision: 1072334
- Rebuild with fixed data requires (mga#19887)

* Fri Nov 25 2016 zezinho <zezinho> 2016.4.2-1.mga6
+ Revision: 1070140
- new version

* Tue Oct 04 2016 zezinho <zezinho> 2016.3.1-1.mga6
+ Revision: 1058758
- new version

* Thu May 26 2016 akien <akien> 2016.2.1-1.mga6
+ Revision: 1018633
- Version 2016.2.1

* Sat May 21 2016 daviddavid <daviddavid> 2016.1.2-3.mga6
+ Revision: 1017318
- rebuild for new and fixed flite 2.0.0

* Sun May 08 2016 zezinho <zezinho> 2016.1.2-2.mga6
+ Revision: 1010504
- obsoletes fgrun as it has now an integrated launcher

* Sat May 07 2016 zezinho <zezinho> 2016.1.2-1.mga6
+ Revision: 1010206
- new bugfix version 2016.1.2

* Wed May 04 2016 zezinho <zezinho> 2016.1.1-4.mga6
+ Revision: 1009171
- rebuild against simgear with curl enabled

* Tue May 03 2016 zezinho <zezinho> 2016.1.1-3.mga6
+ Revision: 1009045
- add launcher desktop file as this is a GUI

* Mon May 02 2016 zezinho <zezinho> 2016.1.1-2.mga6
+ Revision: 1008815
- add BR qt5 to allow --launcher

* Sat Apr 23 2016 akien <akien> 2016.1.1-1.mga6
+ Revision: 1005712
- Version 2016.1.1

* Sat Jan 09 2016 wally <wally> 3.4.0-10.mga6
+ Revision: 920789
- rebuild for new openscenegraph
+ daviddavid <daviddavid>
- rebuild for new openscenegraph 3.4.0

* Mon Nov 02 2015 daviddavid <daviddavid> 3.4.0-8.mga6
+ Revision: 897299
- add BR pkgconfig(speexdsp) (fix build)

* Mon Aug 31 2015 cjw <cjw> 3.4.0-7.mga6
+ Revision: 871500
- rebuild with gcc 5

* Mon Aug 17 2015 fwang <fwang> 3.4.0-6.mga6
+ Revision: 865265
- use cmake own find fltk
- force build with fltk

* Mon Aug 17 2015 fwang <fwang> 3.4.0-4.mga6
+ Revision: 865254
- find x11
- add patch
- bump rel
- fix linkage
- rebuild for new fltk

* Sat May 02 2015 akien <akien> 3.4.0-2.mga5
+ Revision: 821044
- Stop using property listener for fgValidatePath (mga#15809)
- Normalize the allowed paths as well (fix Windows breakage) (mga#15809)

* Wed Feb 18 2015 akien <akien> 3.4.0-1.mga5
+ Revision: 815549
- Version 3.4.0

* Mon Dec 15 2014 akien <akien> 3.2.0-3.mga5
+ Revision: 803236
- Rebuild for patched OpenSceneGraph (fix in an inline method, so rebuild necessary to pick it up)

* Sun Dec 14 2014 akien <akien> 3.2.0-2.mga5
+ Revision: 803144
- Rebuild for new OpenThreads and shared plib

* Sun Oct 26 2014 akien <akien> 3.2.0-1.mga5
+ Revision: 793526
- Version 3.2.0

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-3.mga5
+ Revision: 743843
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.0-2.mga5
+ Revision: 679236
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Mar 13 2014 fwang <fwang> 3.0.0-1.mga5
+ Revision: 602830
- move files
- update file list
- update icons
- build with system sqlite3
- 3.0.0

* Sat Dec 14 2013 zezinho <zezinho> 2.12.1-1.mga4
+ Revision: 556755
- new version 2.12.1

* Sat Oct 19 2013 umeabot <umeabot> 2.12.0-2.mga4
+ Revision: 536578
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 fwang <fwang> 2.12.0-1.mga4
+ Revision: 484710
- update file list
- new version 2.12.0

* Tue Jul 09 2013 fwang <fwang> 2.10.0-5.mga4
+ Revision: 451792
- rebuild for new boost

* Mon Jun 03 2013 zezinho <zezinho> 2.10.0-4.mga4
+ Revision: 436723
- fix rpm group

* Mon Jun 03 2013 zezinho <zezinho> 2.10.0-3.mga4
+ Revision: 436718
- requires data fixed

* Sun Jun 02 2013 zezinho <zezinho> 2.10.0-2.mga4
+ Revision: 435369
+ rebuild (emptylog)

* Sun Jun 02 2013 zezinho <zezinho> 2.10.0-1.mga4
+ Revision: 435353
- update fedora patch to fix format string vulnerability #10351

* Mon Feb 18 2013 zezinho <zezinho> 2.10.0-1.mga3
+ Revision: 399096
- new version
- enable jpeg factory

* Fri Jan 11 2013 umeabot <umeabot> 2.8.0-6.mga3
+ Revision: 350541
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 2.8.0-5.mga3
+ Revision: 343877
- updated RPM group

* Fri Nov 16 2012 luigiwalser <luigiwalser> 2.8.0-4.mga3
+ Revision: 318372
- rebuild for plib
- rebuild for plib

* Wed Sep 12 2012 zezinho <zezinho> 2.8.0-2.mga3
+ Revision: 293196
- provide libShivaVG.so as it comes with flightgear

* Thu Sep 06 2012 zezinho <zezinho> 2.8.0-1.mga3
+ Revision: 289021
- fix libm underlinking
- new version

* Wed Jun 20 2012 zezinho <zezinho> 2.6.0-3.mga3
+ Revision: 262107
- fix BR
- apply fedora patch to fix CVE-2012-2090 CVE-2012-2091

* Wed Apr 04 2012 luigiwalser <luigiwalser> 2.6.0-2.mga2
+ Revision: 228371
- rebuild for plib

* Fri Feb 24 2012 zezinho <zezinho> 2.6.0-1.mga2
+ Revision: 214206
- fix spec bindir for now
- mandriva build patch to fix link
- new version
+ fwang <fwang>
- change prefix into games prefix
- update file list
- new version 2.4.0 final
+ shadow95 <shadow95>
- Release 0.1
- add Suggests: fgrun --> suggest installation fgrun with flightgear
- clean spec
- change Exec=fgfs to Exec=fgfs --fg-root=%%{_datadir}/FlightGear in desktop entry

* Tue Jul 19 2011 fwang <fwang> 2.4.0-0.mga2
+ Revision: 126263
- update file list
- fix lib build
- add br
- update br
- br cmake
- New version 2.4.0 (snapshot for now)

* Thu Jun 16 2011 fwang <fwang> 2.0.0-5.mga2
+ Revision: 108067
- rebuild for new osg

* Tue Apr 26 2011 wally <wally> 2.0.0-4.mga1
+ Revision: 91658
- fix desktop file (mga#954)
- fix license

* Wed Apr 20 2011 obgr_seneca <obgr_seneca> 2.0.0-3.mga1
+ Revision: 89204
- rebuild against new libgdal-1.8.0

* Sat Apr 16 2011 ennael <ennael> 2.0.0-2.mga1
+ Revision: 86772
- clean spec file
- imported package flightgear

